package com.fr.plugin.it.function;

import com.fr.json.JSONObject;
import com.fr.plugin.it.api.FlowApi;
import com.fr.plugin.it.utils.ResponseUtils;
import com.fr.plugin.it.utils.Utils;
import com.fr.script.AbstractFunction;
import com.fr.stable.exception.FormulaException;

public class StartFlow extends AbstractFunction {
    @Override
    public Object run(Object[] objects) throws FormulaException {
        String result = FlowApi.startFlow(objects);

        if(Utils.isNullStr(result)){
            return "{\"code\":\"false\",\"message\":\"开启流程失败\"}";
        }

        JSONObject resultJSON = new JSONObject(result);
        boolean success = resultJSON.getBoolean("Success");
        String msg = resultJSON.getString("Message");

        return "{\"code\":\""+success+"\",\"message\":\""+msg+"\"}";
    }
}
