package com.fr.plugin.it.utils;

import com.fr.json.JSONObject;
import org.dom4j.Document;
import org.dom4j.DocumentException;
import org.dom4j.Element;
import org.dom4j.io.SAXReader;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

public class XMLUtils {
    public static String xmlToList(String xml){
        SAXReader reader = new SAXReader();
        Document document = null;

        FRUtils.FRLogInfo("xmlTolist:xml:"+xml);

        try {
            document = reader.read(IOUtils.strToInputStream(xml));
        } catch (DocumentException e) {
            FRUtils.FRLogInfo("documentException:"+e.getMessage());
        }

        Element feed = document.getRootElement();
        String value2 = feed.getStringValue();

        return value2;
    }

//    public boolean String getBoolean(String xml){
//        SAXReader reader = new SAXReader();
//        Document document = null;
//
//        FRUtils.FRLogInfo("xmlTolist:xml:"+xml);
//
//        try {
//            document = reader.read(IOUtils.strToInputStream(xml));
//        } catch (DocumentException e) {
//            FRUtils.FRLogInfo("documentException:"+e.getMessage());
//        }
//
//        Element feed = document.getRootElement();
//
//        return value2;
//    }

    public static String xmlToList2(String xml){
        JSONObject resultJSON = new JSONObject();
        SAXReader reader = new SAXReader();
        Document document = null;

        FRUtils.FRLogInfo("xmlTolist2:xml:"+xml);

        try {
            document = reader.read(IOUtils.strToInputStream(xml));
        } catch (DocumentException e) {
            FRUtils.FRLogInfo("documentException:"+e.getMessage());
        }

        Element feed = document.getRootElement();

        //数据集合
        List<Element> psnDataModels = feed.elements();

        for(Element data : psnDataModels){
            String name = data.getName();
            String value = data.getStringValue();

            if(name.equals("Success")){
                resultJSON.put(name,Boolean.parseBoolean(value));
            }else{
                resultJSON.put(name,value);
            }
        }

        return resultJSON.toString();
    }
}
